package com.younike.common.annotation;

import java.lang.annotation.*;

/**
 * 自定义注解，防止表单重复提交
 * @author tianh
 * @date 2022/3/21 14:42
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface RepeatSubmit {
}
