package com.younike.common.quartz.entity;


import lombok.Data;


/**
 * 定时任务类
 * 2021-7-24 Another
 */
@Data
public class JobEntity {

    /* 定时任务的名称（需要保证唯一性） */
    private String jobClassName;

    /* 任务组（默认为“DEFAULT”，取值Scheduler.DEFAULT_GROUP） */
    private String jobGroupName;

    /* 定时任务执行时间（例：“0 0 1 * * ?”） */
    private String cronExpression;

    /* 任务名称 */
    private String jobName;

    private String description;

    private String vmParam;

    private String jarPath;

    private String status;

    public JobEntity(String jobClassName) {
        this.jobClassName = jobClassName;
        this.jobGroupName = "DEFAULT";
    }

}
