package com.younike.common.quartz.job;

import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;


/**
 * 拓展定时任务
 * 2021-7-24 Another
 */
public interface BaseJob extends Job {

    /**
     * 定时任务执行体
     * @param context
     * @throws JobExecutionException
     */
    @Override
    void execute(JobExecutionContext context) throws JobExecutionException;

}
