package com.younike.service.dto.common;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 级联选择器 dto
 * @author Another
 * @date 2021/12/17 15:58
 */
@Data
public class MultiLevelTreeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 实际值
     */
    private String value;

    /**
     * 显示值
     */
    private String label;

    /**
     * 子集
     */
    @JsonInclude(JsonInclude.Include.NON_EMPTY)
    private List<MultiLevelTreeDto> children;

    public MultiLevelTreeDto() {
    }


}
