package com.younike.service.dto.personnel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 员工信息dto
 *
 * @author EDZ
 * @date 2021/12/13
 */
@Data
public class PersonnelInfoDto implements Serializable {

    /**
     * id
     */
    @ApiModelProperty("id")
    private Long id;

    /**
     * 登录名
     */
    @ApiModelProperty("登录名")
    private String loginName;

    /**
     * 用户名
     */
    @ApiModelProperty("用户名")
    private String userName;

    /**
     * 员工手机号
     */
    @ApiModelProperty("员工手机号")
    private String phonenumber;

    /**
     * 部门id
     */
    @ApiModelProperty("部门id")
    private String deptId;

    /**
     * 部门名称
     */
    @ApiModelProperty("部门名称")
    private String deptName;

    /**
     * 小区ID
     */
    @ApiModelProperty("小区ID")
    private String comId;

    /**
     * 小区名称
     */
    @ApiModelProperty("小区名称")
    private String comName;

    /**
     * 角色名
     */
    @ApiModelProperty("角色名")
    private String roleName;

    /**
     * 机构id
     */
    @ApiModelProperty("机构ID")
    private String organId;

    @ApiModelProperty("机构中文名称")
    private String organName;
}
