package com.younike.common.bean;

import lombok.Data;

/**
 * 飞鹅打印机 返回公共参数说明
 * 2021-7-15 Another
 */
@Data
public class PrinterResult {

    /**
     * 返回码，正确返回0，【注意：结果正确与否的判断请用此返回参数】，错误返回非零
     */
    private Integer ret;

    /**
     * 结果提示信息，正确返回”ok”，如果有错误，返回错误信息
     */
    private String msg;

    /**
     * 服务器程序执行时间，单位：毫秒
     */
    private Integer serverExecutedTime;

    /**
     * 数据类型和内容详看私有返回参数data，如果有错误，返回null
     */
    private String data;

}
