package com.younike.service.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.younike.common.core.page.PageParam;
import com.younike.service.dto.system.QuartzDto;
import com.younike.service.params.system.QuartzParam;


/**
 * Quartz 定时任务 业务层
 * 2021-7-27 Another
 */
public interface ISysQuartzService {

    /**
     * 2021-7-27 Another quartz定时任务分页
     * @param quartzParam
     * @return
     */
    Page<QuartzDto> getList(PageParam<QuartzParam> quartzParam);

    /**
     * 2021-7-27 Another 根据 文件全路径 查询
     * @param jobClassName
     * @return
     */
    QuartzParam findByJobClassName(String jobClassName);

}
